Subject: bug#2164: 23.0.90; Failing to get new mail in rmail

From: Glenn Morris <[email-masked]>
Date: Mon, 02 Feb 2009 22:03:59 -0500

jpff wrote:

> (setq rmail-primary-inbox-list 
>   '("/var/spool/mail/jpff" "/home/jpff/mbox" "/mnt/snout/home/jpff/mbox"))
[...]
> (No new mail has arrived)
> 0 new messages read
>
> But there are 219 messages in /mnt/snout/home/jpff/mbox which is my
> main mailbox

There's a loop missing from rmail-get-new-mail. If you have two or
more inboxes with the same basename, rmail will silently stop
processing your inbox list when it encounters the first name clash.
Whee.

A temporary workaround is to rename your inboxes to have distinct
basenames (eg "/home/jpff/mbox2", "/mnt/snout/home/jpff/mbox").

:(